View Issue Details

IDProjectCategoryView StatusLast Update
0014874ScribusQt5 Portpublic2017-12-20 20:58
Reporterjsardid Assigned Tojghali  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0014874: Scribus crashes in Plasma 5 when using Plasma's global menu under Qt 5.9
DescriptionI use KDE neon User Edition from Plasma developers (which is based on Ubuntu LTS 16.04). I installed Scribus-ng package from ppa repository, but I tested the same as well compiling Scribus myself (and same as well with Scribus-trunk).

Scribus crashes at startup. I found out that if I disable Plasma's globalmenu then Scribus launches properly

The issue started happening after KDE neon updated Qt from 5.7.1 to 5.9.
Steps To ReproduceEnable Plasma's globalmenu and launch scribus 1.5.x
TagsGlobalmenu, Plasma 5, Qt 5.9
PatchNo

Activities

jsardid

2017-06-21 14:31

reporter   ~0044068

Bactrace:

(gdb) bt
#0 0x00007ffff40d729a in QMdiArea::subWindowList(QMdiArea::WindowOrder) const ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000001 0x0000555555fac879 in ScribusMainWindow::windowsMenuAboutToShow() ()
0000002 0x0000555555a677b2 in ?? ()
0000003 0x00007ffff364f0c9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000004 0x00007ffff40f622d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000005 0x00007ffff364f0c9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000006 0x00007fffe48494bf in QDBusMenuAdaptor::AboutToShow(int) ()
   from /usr/lib/x86_64-linux-gnu/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
0000007 0x00007fffe4857deb in QDBusMenuAdaptor::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
0000008 0x00007fffe4858518 in QDBusMenuAdaptor::qt_metacall(QMetaObject::Call, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
0000009 0x00007fffe736eee3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
0000010 0x00007fffe7373958 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
0000011 0x00007fffe73740ab in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
0000012 0x00007fffe737696e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
0000013 0x00007ffff3650109 in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000014 0x00007ffff3f8f3fc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000015 0x00007ffff3f96e07 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000016 0x00007ffff3623128 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000017 0x00007ffff362562b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000018 0x00007ffff36776b3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000019 0x00007ffff0467197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000020 0x00007ffff04673f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000021 0x00007ffff046749c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000022 0x00007ffff3677abf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000023 0x00007ffff41092f0 in QSplashScreen::repaint() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000024 0x000055555655879a in ScSplashScreen::setStatus(QString const&) ()
0000025 0x0000555556001386 in ScribusCore::setSplashStatus(QString const&) ()
0000026 0x0000555555e316ec in PluginManager::setupPluginActions(ScribusMainWindow*) ()
0000027 0x0000555555f8e25e in ScribusMainWindow::initScMW(bool) ()
0000028 0x0000555556000854 in ScribusCore::startGUI(bool, bool, bool, QString) ()
0000029 0x0000555555ffca72 in ScribusQApp::init() ()
0000030 0x00005555565f7ed9 in mainApp(int, char**) ()
0000031 0x00005555565f7e6b in main ()

jsardid

2017-06-21 14:36

reporter   ~0044069

The backtrace comes from KDE dev Kai Uwe Broulik: https://paste.kde.org/pgce6h3ll

plinnell

2017-06-21 22:51

viewer   ~0044073

Thread 1 "scribus" received signal SIGSEGV, Segmentation fault.
0xb6170522 in QMdiArea::subWindowList(QMdiArea::WindowOrder) const () from /usr/lib/libQt5Widgets.so.5
(gdb) bt
#0 0xb6170522 in QMdiArea::subWindowList(QMdiArea::WindowOrder) const () from /usr/lib/libQt5Widgets.so.5
0000001 0x08b1f332 in ScribusMainWindow::windowsMenuAboutToShow (this=0x99167f8) at /home/geeko/svn/scribus15/scribus/scribus.cpp:2435
0000002 0x085a8774 in ScribusMainWindow::qt_static_metacall (_o=0x99167f8, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfffe230)
    at /home/geeko/svn/build15/scribus/moc_scribus.cpp:983
0000003 0xb56a1aee in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/sse2/libQt5Core.so.5
0000004 0xb56a214d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/sse2/libQt5Core.so.5
0000005 0xb6184ff2 in QMenu::aboutToShow() () from /usr/lib/libQt5Widgets.so.5
0000006 0xb6191e19 in ?? () from /usr/lib/libQt5Widgets.so.5
0000007 0xb56a1aee in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/sse2/libQt5Core.so.5
0000008 0xb56a214d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/sse2/libQt5Core.so.5
0000009 0xb5d90442 in QPlatformMenu::aboutToShow() () from /usr/lib/sse2/libQt5Gui.so.5

jsardid

2017-06-23 19:44

reporter   ~0044080

I tested the fix with scribus-trunk from the scribus ppa repository for ubuntu. It works great! Thank you!

Issue History

Date Modified Username Field Change
2017-06-21 13:17 jsardid New Issue
2017-06-21 13:17 jsardid Tag Attached: Globalmenu
2017-06-21 13:17 jsardid Tag Attached: Plasma 5
2017-06-21 13:17 jsardid Tag Attached: Qt 5.9
2017-06-21 14:31 jsardid Note Added: 0044068
2017-06-21 14:36 jsardid Note Added: 0044069
2017-06-21 22:51 plinnell Note Added: 0044073
2017-06-21 22:52 plinnell Assigned To => plinnell
2017-06-21 22:52 plinnell Status new => confirmed
2017-06-21 22:53 plinnell Assigned To plinnell =>
2017-06-23 10:55 jghali Summary Scribus crashes (segmentation fault) in Plasma 5 when using Plasma's globalmenu under Qt 5.9 (it worked in Qt 5.7.1) => Scribus crashes in Plasma 5 when using Plasma's global menu under Qt 5.9
2017-06-23 10:55 jghali Assigned To => jghali
2017-06-23 10:55 jghali Status confirmed => resolved
2017-06-23 10:55 jghali Resolution open => fixed
2017-06-23 10:55 jghali Fixed in Version => 1.5.4.svn
2017-06-23 19:44 jsardid Note Added: 0044080
2017-12-20 20:58 cbradney Status resolved => closed